require 'date'

Gem::Specification.new do |s|
  s.name        = 'maillinks'
  s.version     = '0.1.5'
  s.date        = Date.today.strftime('%Y-%m-%d')
  s.summary     = "runtime requirements, URLs better parsed, because the whole Quoted Printable decoding is done correctly, now."
  s.description = "Marks in an email HTMl-links and creates a list of all links at the bottom of the mail-text. Best used with the Mutt MUA"
  s.authors     = ["Michael Uplawski"]
  s.email       = 'michael.uplawski@uplawski.eu'
  s.files  	=  %w~maillinks~.collect{|f| 'bin/' << f} + %w~constants.rb file_checking.rb log.conf logging.rb maillinks.rb translating.rb translations ~.collect{|f| 'lib/' << f} + %w~html/maillinks.html man/maillinks.1.gz pdf/maillinks.pdf rst/maillinks.rst~.collect{|f| 'doc/' << f}  + %w~maillinks.gemspec~.collect{|f|f}
  s.homepage    = 'http://rubygems.org'
  s.requirements = 'Linux, text-browser W3M'
  s.add_runtime_dependency 'nokogiri', '~> 1.8', '>= 1.8.2'
  s.add_runtime_dependency 'escape', '~> 0.0', '>= 0.0.4'
  s.add_runtime_dependency 'mail', '~> 2.7', '>= 2.7.0'
  s.executables = 'maillinks'
  s.license     = 'GPL-3'
  s.required_ruby_version = '>= 2.1.2'
end
